#ifndef XFONT_H
#define XFONT_H

#include "xasset.h"
#include "xglyph.h"
#include "xmaterial.h"

class XFont : public XAsset
{
public:
    explicit XFont();
    ~XFont();

    void Clear() override;
    void ParseData(QDataStream *aStream) override;

private:
    XString mFontName;
    int mPixelHeight;
    int mGlyphCount;
    XMaterial mMaterial;
    XMaterial mGlowMaterial;
    QVector<XGlyph> mGlyphs;
};

#endif // XFONT_H
